<?php
/**
 * @var \kernel\app_modules\card\models\CardTransaction $model
 */

use kernel\app_modules\card\models\Card;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/card_transaction/edit/" . $model->id : "/admin/card_transaction", 'multipart/form-data');

// Пример формы:


$form->field(\itguild\forms\inputs\TextInput::class, 'from', [
    'class' => "form-control",
    'placeholder' => 'От кого',
    'value' => $model->from ?? ''
])
    ->setLabel("От кого")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'to', [
    'class' => "form-control",
    'placeholder' => 'Кому',
    'value' => $model->to ?? ''
])
    ->setLabel("Кому")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'amount', [
    'class' => "form-control",
    'placeholder' => 'Количество',
    'value' => $model->amount ?? ''
])
    ->setLabel("Количество")
    ->render();

$form->field(class: \itguild\forms\inputs\Select::class, name: "type", params: [
    'class' => "form-control",
    'value' => $model->type ?? ''
])
    ->setLabel("Тип операции")
    ->setOptions([1 => "Зачисление", 2 => "Списание"])
    ->render();


$form->field(class: \itguild\forms\inputs\Select::class, name: "status", params: [
    'class' => "form-control",
    'value' => $model->status ?? ''
])
    ->setLabel("Статус")
    ->setOptions(\kernel\app_modules\card\models\CardTransaction::getStatus())
    ->render();


?>
    <div class="row">
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
                'class' => "btn btn-primary ",
                'value' => 'Отправить',
                'typeInput' => 'submit'
            ])
                ->render();
            ?>
        </div>
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
                'class' => "btn btn-warning",
                'value' => 'Сбросить',
                'typeInput' => 'reset'
            ])
                ->render();
            ?>
        </div>
    </div>
<?php
$form->endForm();
